## GDataDocumentsAccessRule

GDataDocumentsAccessRule — GData Documents access rule object

## Stability Level

Stable, unless otherwise indicated

## Functions

GDataDocumentsAccessRule * | gdata_documents_access_rule_new ()

## Types and Values

| GDataDocumentsAccessRule
| GDataDocumentsAccessRuleClass

## Object Hierarchy

        GObject
        ╰── GDataParsable
            ╰── GDataEntry
                ╰── GDataAccessRule
                    ╰── GDataDocumentsAccessRule

## Includes

    #include <gdata/services/documents/gdata-documents-access-rule.h>

## Description

GDataDocumentsAccessRule is a subclass of GDataAccessRule to represent an access rule affecting users of a Google Documents entry.

## Functions

### gdata_documents_access_rule_new ()

    GDataDocumentsAccessRule *
    gdata_documents_access_rule_new (const gchar *id);

Creates a new GDataDocumentsAccessRule with the given ID and default properties.

#### Parameters

id | the access rule's ID, or `NULL` |

#### Returns

a new GDataDocumentsAccessRule; unref with `g_object_unref()`.

[transfer full]

Since: 0.17.2

## Types and Values

### GDataDocumentsAccessRule

    typedef struct _GDataDocumentsAccessRule GDataDocumentsAccessRule;

All the fields in the GDataDocumentsAccessRule structure are private and should never be accessed directly.

Since: 0.17.2

### GDataDocumentsAccessRuleClass

    typedef struct {
    } GDataDocumentsAccessRuleClass;

All the fields in the GDataDocumentsAccessRuleClass structure are private and should never be accessed directly.

Since: 0.17.2